#
# spec file for package openstack-aodh-doc
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define component aodh

%define version_unconverted 5.0.1.dev87

Name:           openstack-%{component}-doc
Version:        5.0.1~dev87
Release:        1.1
Summary:        Alarm engine of the Ceilometer project - Documentation
License:        Apache-2.0
Group:          Documentation/HTML
Url:            https://launchpad.net/aodh
Source:         http://tarballs.openstack.org/aodh/aodh-master.tar.gz
BuildRequires:  graphviz
BuildRequires:  openstack-suse-macros
BuildRequires:  python-Sphinx
BuildRequires:  python-aodh = %{version}
BuildRequires:  python-cotyledon
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-oslosphinx
BuildRequires:  python-reno
BuildRequires:  python-sphinxcontrib-httpdomain
BuildRequires:  python-sphinxcontrib-pecanwsme
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Aodh is the alarm engine of the Ceilometer project.

This package contains documentation files for %{name}.

%prep
%setup -q -n aodh-%{version_unconverted}
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg
%openstack_cleanup_prep

%build
python setup.py build_sphinx
rm doc/build/html/.buildinfo # Remove unneeded files

%install

%files
%defattr(-,root,root,-)
%doc LICENSE doc/build/html

%changelog
* Tue Feb  6 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev87:
  * Imported Translations from Zanata
* Sat Feb  3 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev86:
  * Imported Translations from Zanata
* Fri Feb  2 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev85:
  * Zuul: Remove project name
* Thu Feb  1 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev83:
  * Imported Translations from Zanata
* Wed Jan 31 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev82:
  * fix partitioning documentation
  * remove unrelated ceilometer definition
* Tue Jan 30 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev78:
  * Remove use of unsupported TEMPEST\_SERVICES variable
  * remove remaining ceilometer threshold references
* Wed Jan 17 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev76:
  * tempest: use new plugin + tripleo to experimental
  * Remove ceilometer-api alarm type
  * Remove ceilometer-api from test\_composite
  * Remove ceilometer-api from test\_threshold
  * update README.rst
* Sun Jan 14 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev67:
  * Remove ceilometer-api from test\_complex\_query\_scenarios
  * change doc aodh bug tracker url
* Sat Jan 13 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev63:
  * Remove ceilometer-api from test\_storage\_scenarios
  * Remove ceilometer-api from test\_evaluator
* Fri Jan 12 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev59:
  * Remove ceilometer-api from test\_alarm\_scenarios
  * Imported Translations from Zanata
* Thu Jan  4 2018 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev56:
  * Revert "Replace jsonutils by ujson"
  * Imported Translations from Zanata
  * Remove aodh intree tempest plugin
* Fri Dec 22 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev51:
  * Add missing dependency
* Sat Dec 16 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev50:
  * Imported Translations from Zanata
* Fri Dec 15 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev49:
  * tests: fix unexisting method self.fail
* Thu Dec 14 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev48:
  * don't use last keystonemiddleware
* Wed Dec  6 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev46:
  * Imported Translations from Zanata
  * storage: fix upgrade when password contains a %%
  * Remove setting of version/release from releasenotes
  * Fix releasenotes builds
  * zuul: run TripleO jobs with new zuulv3 layout
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Imported Translations from Zanata
  * Implement policy in code - reno and doc (end)
  * Implement policy in code (3)
  * Implement policy in code (2)
  * Implement policy in code (1)
  * Replace jsonutils by ujson
  * [doc] fix word usage of composite alarm
* Fri Nov  3 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev27:
  * Zuul: add file extension to playbook path
* Thu Nov  2 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev26:
  * Use oslo.config-sphinxext to build the conf options
* Tue Oct 31 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev24:
  * remove branch specific job
  * doc: remove mention of combination alarms
* Sun Oct 29 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev20:
  * revise the spelling of 'event'
* Tue Oct 24 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev19:
  * Imported Translations from Zanata
* Thu Oct 19 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev18:
  * Move legacy jobs to project
* Mon Oct 16 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev16:
  * Add tox whitelist\_externals
* Thu Oct 12 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev15:
  * Imported Translations from Zanata
* Fri Oct  6 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev14:
  * Imported Translations from Zanata
  * Cleanup setup.cfg
* Thu Sep 28 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev11:
  * Add granularity value to Gnocchi evaluators
  * Imported Translations from Zanata
* Wed Sep 27 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev9:
  * Imported Translations from Zanata
* Tue Sep 26 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev8:
  * Imported Translations from Zanata
  * Replace the old auth\_opts to the new in notifier/zaqar.py
* Fri Sep 22 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev6:
  * Imported Translations from Zanata
* Thu Sep 14 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev5:
  * fix gate
* Wed Sep  6 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev4:
  * remove gnocchiclient cap
* Mon Sep  4 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev3:
  * support new gnocchiclient interface
* Mon Aug 28 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev2:
  * Imported Translations from Zanata
* Wed Aug 23 2017 tbechtold@suse.com
- Fix doc build
* Tue Aug 22 2017 cloud-devel@suse.de
- Update to version aodh-5.0.1.dev1:
  * Update reno for stable/pike
  5.0.0
  * Imported Translations from Zanata
* Wed Aug 16 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev120:
  * Don't allow the user to pass in a trust ID
* Tue Aug 15 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev119:
  * Imported Translations from Zanata
* Thu Aug 10 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev118:
  * Typo input in "aodh alarm create" for param "--name"
* Thu Aug  3 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev117:
  * Update and replace http with https for doc links in aodh
  * adjust section titles
  * add configuration folder
* Tue Aug  1 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev111:
  * gnocchi: set start/stop when validating alarm
  * remove custom theming
* Fri Jul 28 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev107:
  * remove templates
* Wed Jul 26 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev105:
  * Replace deprecated test.attr with decorators.attr
* Tue Jul 25 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev104:
  * Update the response table info of some sample commands in doc
* Sat Jul 22 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev102:
  * Update aodh commands in doc
* Wed Jul 19 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev101:
  * Fix releasenote RST syntax
  * Update and optimize documentation links
  * Added examples to create event based alarm
* Tue Jul 18 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev96:
  * Update URL home-page in documents according to document migration
  * turn on warning-is-error for doc builds
  * add missing sphinx extension
  * move class api reference into contributor docs
* Sat Jul 15 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev88:
  * Imported Translations from Zanata
  * copy admin-guide
  * move install-guide under install dir
* Fri Jul 14 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev83:
  * move developer docs under contributor
  * switch to openstackdocstheme
* Thu Jul 13 2017 tbechtold@suse.com
- Update to version aodh-4.0.1.dev79:
  * tests: rework functional live tests
  * Clean maintainer list
  * Fix aodh-config-generator
  * Remove genconfig tox target
  * Add a description of the parameters to function
  * Fix html\_last\_updated\_fmt for Python3
* Wed Jul 12 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev68:
  * Imported Translations from Zanata
  * gnocchi: return better 'insufficient data' reason
  * Don't translate alarm reason
  * Expose alarm state reason to API
  * add sqlalchemy-utils
* Fri Jul  7 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev61:
  * Enable some off-by-default checks
* Tue Jun 27 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev59:
  * simplify crud notification test
* Thu Jun 22 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev57:
  * gnocchi: fix alarms for unpriviledged user
* Fri Jun 16 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev55:
  * Fix Zaqar notifier doc
* Tue Jun  6 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev54:
  * Remove oslo.msg deprecation
  * Remove keystoneclient deprecation
* Tue May 30 2017 tbechtold@suse.com
- Update to version aodh-4.0.1.dev51:
  * cleanup aodh config instructions in install guide
  * tempest: remove deprecation
  * Deprecate olsotest.mockpatch in favor of native fixtures
  * Add \`aodh-config-generator' tool to generate sample configuration file
  * tests: simplify tox config
  * storage: Ensure pymysql is prefered
  * Remove deprecated oslo.config messages
  * tests: fix MultiStrOpt value
  * Remove sqlalchemy upper constraints
  * Imported Translations from Zanata
  * Optimize the link address
  * Fix expecting content-type headers
  * Fix some reST field lists in docstrings
  * [install-guide] Minor edits
  * Remove log translations
  * Gnocchi: don't fail to create valid alarm
  * Imported Translations from Zanata
  * Useing fixtures.MockPatch instead of mockpatch.Patch
  * Switch to use stable data\_utils
  * Update pbr requirement to match global requirement
  * deprecate threshold rule alarms
  * Trivial-fix: use domain\_id instead of domain\_name
  * Fix the migration to use alarm\_history
  * Remove deprecated combination alarms
  * Switch to decorators.idempotent\_id
  * api: add auth\_mode option
  * Replaces uuid.uuid4 with uuidutils.generate\_uuid()
  * cors: update default configuration using cors' own set\_defaults funtion
  * devstack: fix mispelling of aodh-api in ENABLED\_SERVICES
  * Add http\_proxy\_to\_wsgi to config-generator
* Thu Feb 23 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev21:
  * Fix reno title format
* Wed Feb 22 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev20:
  * Install test dependencies in docs
  * Add keystoneauth1 in requirements
  * Trivial-fix: use domain_id instead of domain_name
* Sun Feb 19 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev14:
  * gabbi: use history
* Fri Feb 17 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev12:
  * Update the doc about manually installation
  * Remove unused logging import
* Tue Feb 14 2017 cloud-devel@suse.de
- Update to version aodh-4.0.1.dev9:
  * Correct the doc link
* Mon Feb 13 2017 tbechtold@suse.com
- Update to version aodh-4.0.1.dev8:
  * Remove support for py34
  * Fix the migration to use alarm_history
  * Use more specific asserts in tests
  * Avoiding duplication of service available group in tempest plugin
  * Use https instead of http for git.openstack.org
  * Update reno for stable/ocata
  4.0.0
  * Stop shipping Apache2 configuration file
  * Switch to decorators.idempotent_id
  * Fix all current typo bugs on Aodh project
  * Add sem-ver flag so pbr generates correct version
  * Move policy.json out of etc
  * Move api-paste file to common code location
  * install-guide: remove useless step
  * api: add auth_mode option
  * enable cachetools for gnocchi alarms
* Thu Jan 19 2017 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev73:
  * modernise gabbi usage
* Tue Jan 17 2017 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev72:
  * Enable healthcheck app to check API status
* Thu Jan 12 2017 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev70:
  * property refactoring
* Tue Jan 10 2017 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev69:
  * Simple pip install fails for python3
* Fri Jan  6 2017 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev68:
  * Simple pip install fails under python3
  * composite: fix evaluation of trending state alarms
  * Don't create multiple trust IDs per alarm
  * Replaces uuid.uuid4 with uuidutils.generate_uuid()
* Wed Jan  4 2017 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev61:
  * Enable coverage report in console output
* Tue Dec 27 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev60:
  * Fix expecting content-type headers
* Thu Dec 22 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev59:
  * [doc] Note lack of constraints is a choice
* Wed Dec 21 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev57:
  * Remove legacy policy file test
  * Add missing webtest dependency in test
* Tue Dec 20 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev54:
  * Remove notes about MongoDB
* Fri Dec 16 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev52:
  * Remove API workers option
  * Replace retrying with tenacity
* Thu Dec 15 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev49:
  * Add trust+zaqar:// action
  * Refactor ZaqarAlarmNotifier and fix tests
* Tue Dec 13 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev47:
  * Change for more useful output in log notifier
  * Improve docs for ZaqarAlarmNotifier
* Thu Dec  8 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev44:
  * Fix typo in plugin.sh
  * add testresources req
* Fri Nov 25 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev41:
  * cli: Fix --alarm-id in alarm conversion
* Thu Nov 24 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev39:
  * [instll] Update a more simple rabbitmq configuration
  * sqlalchemy: use DATETIME(fsp=6) rather than DECIMAL
* Fri Nov 18 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev35:
  * Replaced e.message with str(e)
  * Bump hacking to 0.12
* Fri Oct 14 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev18:
  * Add http_proxy_to_wsgi to config-generator
  * Remove pecan_debug option
* Wed Oct 12 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev14:
  * Enable release notes translation
  * sqlalchemy: remove Ceilometer upgrade workaround
* Tue Oct 11 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev10:
  * Add http_proxy_to_wsgi to api-paste
* Fri Oct  7 2016 cloud-devel@suse.de
- Update to version aodh-3.0.1.dev9:
  * Handle case where sample-api is disabled
  3.0.0
* Wed Oct  5 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0rc2.dev7:
  * Fix typo
* Tue Oct  4 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0rc2.dev6:
  * Adds notes on how to launch aodh-api with uwsgi
* Sat Oct  1 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0rc2.dev5:
  * Remove default=None when set value in Config
* Wed Sep 28 2016 tbechtold@suse.com
- Add python-openstackdocstheme to BuildRequires.
* Fri Sep 23 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0rc2.dev3:
  * Update reno for stable/newton
* Wed Sep 21 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0rc2.dev1:
  * Fix locale builds
* Fri Sep 16 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0rc1:
  3.0.0.0rc1
  * Add pre-signed support for zaqar notifier
  * Imported Translations from Zanata
* Thu Sep 15 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b4.dev4:
  * standardize release note page ordering
* Sat Sep 10 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b4.dev3:
  * devstack: set correct port number for aodh-api
* Fri Sep  9 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b4.dev2:
  * aodh-notifier: fix the launch bug
* Thu Sep  8 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b4.dev1:
  * devstack: fix aodh-api launch
  3.0.0.0b3
* Thu Sep  1 2016 tbechtold@suse.com
- Fix BuildRequires
* Tue Aug 30 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev30:
  * inmemory: add %% parameter to formating string
* Sat Aug 27 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev29:
  * add url in setup.cfg
* Thu Aug 25 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev27:
  * Clean imports in code
  * remove default=None for config options
* Wed Aug 24 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev23:
  * Revert "Fix config group for SSL in tempest test"
* Sat Aug 20 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev21:
  * Fix config group for SSL in tempest test
  * Remove unnecessary confirm prompt
  * Fix tempest.conf generation
* Wed Aug 17 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev16:
  * Limit Happybase to < 1.0.0
  * Remove Nadya Privalova from core reviewers
* Sat Aug 13 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev13:
  * Fix French locale build
  * Use proper international logging message
  * fix the %%{} when string formating
  * Imported Translations from Zanata
* Tue Aug  9 2016 cloud-devel@suse.de
- Update to version aodh-3.0.0.0b3.dev7:
  * Trival: Remove unused logging import
  * Delete openstack/common from the exclude list of flake8 in tox
  * Allow to extends the evaluator lookback window
  * update .gitignore for install-guide/build
* Thu Jul 21 2016 gosipyan@suse.com 
- Update to version aodh-3.0.0.0b3.dev2:
  * Add Python 3.5 classifiers for Aodh
  3.0.0.0b2
  * use Cotyledon lib
  * sqlalchemy: allow to upgrade schema from Ceilometer Liberty
  * Use pbr wsgi_scripts to build aodh-api
* Thu Jul 14 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev166:
  * gnocchi: always set needed_overlap for aggregation
  * Record the state transition reason in alarm's history data when evaluating
* Wed Jul 13 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev162:
  * Add __ne__ built-in function
* Tue Jul 12 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev160:
  * Imported Translations from Zanata
* Fri Jul  8 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev159:
  * Remove unused LOG object
* Wed Jul  6 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev158:
  * Add install-guide for aodh
  * Replace raw_input with input to make PY3 compatible
  * Make help string more accurate for rest notifier
* Fri Jun 24 2016 gosipyan@suse.com 
- Update to version aodh-2.0.1.dev153:
  * Correct the order when sorting by "severity"
  * Fixing ordering of 'severity' in alarms
  * Support combination alarms to composite alarms conversion
  * Add ca_bundle path in ssl request
* Wed Jun 22 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev145:
  * doc: remove leftover from docbookrestapi
* Tue Jun 21 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev143:
  * Fix trust notifier
  * Clean deprecated "rpc_backend" in tests
* Fri Jun 17 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev139:
  * Correct concurrency of gabbi tests for gabbi 1.22.0
* Wed Jun 15 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev138:
  * Use "topics" instead of "topic" in Notifier initialization
* Tue Jun 14 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev136:
  * Imported Translations from Zanata
* Sat Jun 11 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev135:
  * Imported Translations from Zanata
  * Add indexs of alarm.enabled and alarm.type
  * Bump the oslo.messaging version
* Sat Jun  4 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev130:
  * Catch DriverLoadFailure for get_transport optional
  * gabbi: fail test if no backend configured
* Fri Jun  3 2016 tbechtold@suse.com
- Update to version aodh-2.0.1.dev127:
  * Imported Translations from Zanata
  * Replace overtest by pifpaf
  * Add a tool for migrating alarms data from NoSQL to SQL
* Sat May 28 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev121:
  * Make some tests more like Aodh tests
  * skip test_create_delete_alarm_with_combination_rule
  * tests/functional: enable Gabbi for all backends
* Fri May 27 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev115:
  * fix typos in our doc, comment and releasenotes
* Thu May 26 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev113:
  * Imported Translations from Zanata
  * Add pagination support for Aodh
* Wed May 25 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev110:
  * api: deprecate and disable combination alarms
* Fri May 20 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev108:
  * Update the home-page with developer documentation
  * Clean unrelated error of two tests
* Thu May 19 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev105:
  * Remove unused option `host'
  * gnocchi: log on warning level, not exception
  * Add missing Python 3 classifiers
* Tue May 17 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev100:
  * Remove the unused dict_to_keyval and its test
* Fri May 13 2016 tbechtold@suse.com
- Update to version aodh-2.0.1.dev99:
  * Don't notify alarm on each refresh
  * remove alarm name unique constraint in each project
  * Update to hacking 0.11.0
  * generate latest sample config file along with document
  * move aodh-config-generator.conf to etc/aodh dir
* Wed May 11 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev90:
  * [Trivial] Remove an unused exception definition
  * Clean and reorganize the API config options
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev87:
  * Trival fix bug in docs
  * service: fix typo in option help for listener workers
  * Add batch listener support for event evaluator
  * [Trivial] Remove two unused methods of PartitionCoordinator
  * log alarm rest notifier response
  * Fix and improve the partition coordinator
  * support batch listener for aodh-notifier
  * [Trivial] Improve alarm reason text
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev73:
  * Enable aodh service to be multi-processes
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev71:
  * [Trivial] Use local conf instead of global conf
  * [Trivial] Remove api bin unit test
  * promote log level to warning for invalid event
  * remove unused file pylintrc
  * remove deprecated auth type password-aodh-legacy
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev62:
  * [Trivial] Add zaqar options to list_opts
  * [Trivial] Remove AODH_API_LOG_DIR option for devstack
  * Update the default log levels
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev58:
  * update document
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev56:
  * Replace logging with oslo_log
  * Remove the notify_alarm method and refactor related tests
* Mon May  9 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev52:
  * Add documentation about event alarm
  * remove todo for OS_TEST_PATH
  * remove local hacking check for oslo namespace and log debug
  * rm functions.sh
  * document how to enable aodh stable branch in devstack
  * install aodhclient instead of ceilometerclient
* Fri Apr 22 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev42:
  * replace eventlet timer with thread manner
  * Imported Translations from Zanata
  * use thread safe fnmatch
  * use static timestamps for api samples
  * add tempest to test requirement
  * fix release note link in README.rst
* Thu Apr 21 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev31:
  * remove deprecated option alarm_connection
  * add default value to functional test environment variables
* Tue Apr 19 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev27:
  * fix some message string
  * Remove an unrelated comment
  * remove store_events option in devstack/plugin.sh
  * Imported Translations from Zanata
* Fri Apr 15 2016 cloud-devel@suse.de
- Update to version aodh-2.0.1.dev20:
  * Fix doc build if git is absent
  * Fix dependency from tempest-lib to os-testr
  2.0.0
* Thu Apr  7 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev17:
  * use default option for notification topics
* Tue Apr  5 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev16:
  * Remove oslo.context dependency
* Wed Mar 30 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev15:
  * Clean deprecations from old "alarm" group
* Sun Mar 27 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev13:
  * Fix Aodh-alarm-evaluator recreates deleted alarms in some cases
* Sat Mar 26 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev11:
  * Remove the deprecated RPC IPC code
* Wed Mar 23 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev10:
  * remove non ascii character in doc
* Tue Mar 22 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0rc2.dev9:
  * api: rename _alarm to _enforce_rbac
  * api: stop relying on side-effect of _alarm()
  * Raise Error when query history of an alarm that are not existed
  * Update reno for stable/mitaka
  2.0.0.0rc1
  * add missing hbase requirement
  * It is easy to understand to use words no numbers
* Mon Mar 21 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0b4.dev19:
  * devstack: allow uwsgi deployments
* Sun Mar 20 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0b4.dev17:
  * cleanup core list
* Sat Mar 19 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0b4.dev15:
  * Use assertIn and assertNotIn for test
* Wed Mar 16 2016 cloud-devel@suse.de
- Update to version aodh-2.0.0.0b4.dev14:
  * register the config generator default hook with the right name
* Mon Mar 14 2016 tbechtold@suse.com
- Update to version aodh-2.0.0.0b4.dev13:
  * Replace deprecated LOG.warn with LOG.warning
  * Properly retrieve keystone user from admin client
  * Fixed tempest error due to upstream change
  * Record all the fired alarm state for event-alarm
  * tempest: migrate api tests from tempest tree
  * add missing mitaka-3 release notes
  * A little typo of doc
  * Moved CORS middleware configuration into oslo-config-generator
  2.0.0.0b3
  * Add composite alarm usage description
  * Remove unused pngmath Sphinx extension
  * Fix py34 error of indexing 'dict_keys' object
  * Add releasenote for composite alarm feature
  * Change the SERVICE_TENANT_NAME to SERVICE_PROJECT_NAME
  * Fix tempest test path
  * Add composite rule alarm API support
  * Add composite rule alarm evaluator
  * Remove ceilometer-alarm-* related content of installation
  * Clean etc directory
  * Install configuration files by default
  * KEYSTONE_CATALOG_BACKEND is deprecated
  * Added CORS support to Aodh
  * devstack: Fix Keystone v3 configuration typo
  * Fix alarm reason
  * Clean config in source code
  * tempest: add aodh tempest plugin
  * gabbi's own paste.ini file
* Thu Jan 28 2016 dmueller@suse.com
- fix doc package build
* Wed Jan 20 2016 aplanas@suse.com
- Create initial package
